=== modified file 'drizzled/serialize/table_reader.cc'
--- drizzled/serialize/table_reader.cc	2008-11-07 22:51:24 +0000
+++ drizzled/serialize/table_reader.cc	2008-11-07 22:58:15 +0000
@@ -4,11 +4,11 @@
 #include "table.pb.h"
 using namespace std;
 
-/* 
+/*
   Written from Google proto example
 */
 
-void print_field(const drizzle::Table::Field *field) 
+void print_field(const drizzle::Table::Field *field)
 {
   using namespace drizzle;
   cout << "\t`" << field->name() << "`";
@@ -70,7 +70,7 @@
 
   if (field->type() == Table::Field::INTEGER
       || field->type() == Table::Field::BIGINT
-      || field->type() == Table::Field::TINYINT) 
+      || field->type() == Table::Field::TINYINT)
   {
     if (field->has_constraints()
         && field->constraints().has_is_unsigned())
@@ -87,7 +87,7 @@
     cout << " NOT NULL ";
 
   if (field->type() == Table::Field::TEXT
-      || field->type() == Table::Field::VARCHAR) 
+      || field->type() == Table::Field::VARCHAR)
   {
     if (field->string_options().has_collation())
       cout << " COLLATE " << field->string_options().collation();
@@ -105,7 +105,7 @@
     cout << " COMMENT `" << field->comment() << "` ";
 }
 
-void print_engine(const drizzle::Table::StorageEngine *engine) 
+void print_engine(const drizzle::Table::StorageEngine *engine)
 {
   using namespace drizzle;
   uint32_t x;
@@ -118,15 +118,15 @@
   }
 }
 
-void print_index(const drizzle::Table::Index *index) 
+void print_index(const drizzle::Table::Index *index)
 {
   using namespace drizzle;
   uint32_t x;
 
   if (index->is_primary())
-    cout << " PRIMARY"; 
+    cout << " PRIMARY";
   else if (index->is_unique())
-    cout << " UNIQUE"; 
+    cout << " UNIQUE";
   cout << " KEY `" << index->name() << "` (";
   {
     int x;
@@ -146,12 +146,12 @@
   cout << "\t";
 }
 
-void print_table_stats(const drizzle::Table::TableStats *stats) 
+void print_table_stats(const drizzle::Table::TableStats *stats)
 {
-  
+
 }
 
-void print_table_options(const drizzle::Table::TableOptions *options) 
+void print_table_options(const drizzle::Table::TableOptions *options)
 {
   if (options->has_comment())
     cout << " COMMENT = '" << options->comment() << "' " << endl;
@@ -161,7 +161,7 @@
 }
 
 
-void print_table(const drizzle::Table *table) 
+void print_table(const drizzle::Table *table)
 {
   using namespace drizzle;
   uint32_t x;
@@ -172,7 +172,7 @@
     cout << "TEMPORARY ";
 
   cout << "TABLE `" << table->name() << "` (" << endl;
-  
+
   for (x= 0; x < table->field_size() ; x++)
   {
     const Table::Field field = table->field(x);
@@ -196,7 +196,7 @@
   cout << endl;
 
   cout << ") " << endl;
-  
+
   print_engine(&table->engine());
 
   if (table->has_options())
@@ -207,7 +207,7 @@
   */
 }
 
-int main(int argc, char* argv[]) 
+int main(int argc, char* argv[])
 {
   GOOGLE_PROTOBUF_VERIFY_VERSION;
 
@@ -221,7 +221,7 @@
   {
     // Read the existing address book.
     fstream input(argv[1], ios::in | ios::binary);
-    if (!table.ParseFromIstream(&input)) 
+    if (!table.ParseFromIstream(&input))
     {
       cerr << "Failed to parse table." << endl;
       return -1;

=== modified file 'drizzled/serialize/table_writer.cc'
--- drizzled/serialize/table_writer.cc	2008-11-07 22:51:24 +0000
+++ drizzled/serialize/table_writer.cc	2008-11-07 22:58:15 +0000
@@ -4,11 +4,11 @@
 #include "table.pb.h"
 using namespace std;
 
-/* 
+/*
   Written from Google proto example
 */
 
-void fill_engine(drizzle::Table::StorageEngine *engine) 
+void fill_engine(drizzle::Table::StorageEngine *engine)
 {
   using namespace drizzle;
   using std::string;
@@ -28,7 +28,7 @@
   };
 
   /* Add some engine options */
-  for (x= 0; x < 2; x++) 
+  for (x= 0; x < 2; x++)
   {
     option= engine->add_option();
     option->set_name(option_names[x]);
@@ -37,13 +37,13 @@
   }
 }
 
-void new_index_to_table( drizzle::Table *table, 
+void new_index_to_table( drizzle::Table *table,
                          const std::string name,
                          uint16_t num_index_parts,
                          uint32_t field_indexes[],
                          uint32_t compare_lengths[],
                          bool is_primary,
-                         bool is_unique) 
+                         bool is_unique)
 {
   using namespace drizzle;
   uint16_t x;
@@ -59,7 +59,7 @@
   index->set_is_primary(is_primary);
   index->set_is_unique(is_unique);
 
-  while (x < num_index_parts) 
+  while (x < num_index_parts)
   {
     index_part= index->add_index_part();
 
@@ -73,7 +73,7 @@
   }
 }
 
-void fill_table(drizzle::Table *table, const char *name) 
+void fill_table(drizzle::Table *table, const char *name)
 {
   uint16_t x;
 
@@ -145,7 +145,7 @@
 
     field_constraints= field->mutable_constraints();
     field_constraints->set_is_nullable(true);
-    
+
     numeric_field_options= field->mutable_numeric_options();
     numeric_field_options->set_precision(8);
     numeric_field_options->set_scale(3);
@@ -175,11 +175,11 @@
 
 }
 
-int main(int argc, char* argv[]) 
+int main(int argc, char* argv[])
 {
   GOOGLE_PROTOBUF_VERIFY_VERSION;
 
-  if (argc != 2) 
+  if (argc != 2)
   {
     cerr << "Usage:  " << argv[0] << " SCHEMA" << endl;
     return -1;
@@ -190,7 +190,7 @@
   fill_table(&table, "example_table");
 
   fstream output(argv[1], ios::out | ios::trunc | ios::binary);
-  if (!table.SerializeToOstream(&output)) 
+  if (!table.SerializeToOstream(&output))
   {
     cerr << "Failed to write schema." << endl;
     return -1;

